Runtime

## org.eclipse.gmf.runtime.notation
Class SortingDirection

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.gmf.runtime.notation.SortingDirection

All Implemented Interfaces:
  java.io.Serializable, org.eclipse.emf.common.util.Enumerator

    public final class SortingDirection

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Sorting Direction', and utility methods for working with them.

See Also:
  `NotationPackage.getSortingDirection()`, Serialized Form
** Generated **
Model:

Field Summary
`static int` `ASCENDING` The 'Ascending' literal value
`static SortingDirection` `ASCENDING_LITERAL` The 'Ascending' literal object
`static int` `DESCENDING` The 'Descending' literal value
`static SortingDirection` `DESCENDING_LITERAL` The 'Descending' literal object
`static java.util.List` `VALUES` A public read-only list of all the 'Sorting Direction' enumerators

Method Summary
`static SortingDirection` `get(int value)` Returns the 'Sorting Direction' literal with the specified integer value
`static SortingDirection` `get(java.lang.String literal)` Returns the 'Sorting Direction' literal with the specified literal value
`static SortingDirection` `getByName(java.lang.String name)` Returns the 'Sorting Direction' literal with the specified name

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString, writeReplace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ASCENDING

    public static final int ASCENDING

  The 'Ascending' literal value.

  See Also:
    `ASCENDING_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="Ascending"

### DESCENDING

    public static final int DESCENDING

  The 'Descending' literal value.

  See Also:
    `DESCENDING_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="Descending"

### ASCENDING_LITERAL

    public static final SortingDirection ASCENDING_LITERAL

  The 'Ascending' literal object.

  See Also:
    `ASCENDING`
  ** Generated **
  Ordered:

### DESCENDING_LITERAL

    public static final SortingDirection DESCENDING_LITERAL

  The 'Descending' literal object.

  See Also:
    `DESCENDING`
  ** Generated **
  Ordered:

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Sorting Direction' enumerators.

  ** Generated **

Method Detail

### get

    public static SortingDirection get(java.lang.String literal)

  Returns the 'Sorting Direction' literal with the specified literal value.

  ** Generated **

### getByName

    public static SortingDirection getByName(java.lang.String name)

  Returns the 'Sorting Direction' literal with the specified name.

  ** Generated **

### get

    public static SortingDirection get(int value)

  Returns the 'Sorting Direction' literal with the specified integer value.

  ** Generated **

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.